<?php 
$this->load->helper("url"); //deberia ser autoleible
$d=array("tituloApp"=>"Adeudos del paciente","menu"=>"");
$this->parser->parse("html/page/v2/header",$d);
$this->parser->parse("html/page/v2/bar",$d);
$parse["menu"]=$this->load->view("html/page/v2/php/menuHClinica",$d,true);
$parse["tituloApp"]=!isset($tituloApp)?$d["tituloApp"]:$tituloApp;
$this->parser->parse("html/page/v2/navigation",$parse);
?>
<script type="text/javascript">
var clavePaciente="<?=$itemPaciente['clave']?>";
</script>
<div class="modal fade" id="modAjax" tabindex="-1" role="dialog" aria-hidden="true">
</div>
<div class="modal fade" id="modPago" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="">Pago de nota</h3>
<!--                 <button type="button" class="close" data-dismiss="modal" aria-label="Close"> -->
<!--                   <span aria-hidden="true">&times;</span> -->
<!--                 </button> -->
            </div>
            <!--aqui va la etiqueta form-->
                <div class="modal-body">
                    <div class="form-group">
                        <label>Importe total / parcial</label>
                        <input id="totalNota" class="form-control" placeholder="0.00">
                    </div>
                    <div class="form-group">
                        <label>Opciones</label>
                    </div>
                    <div class="form-group">
                      <label>Tipo de pago</label>
                      <select class="form-control">
                         <option value="ABONO">ABONO</option>
                         <option value="CARGO">CARGO</option>
                      </select>
                    </div>
                    <div class="form-group">
                        <label>Comentario</label>
                        <input id="comentarioPago" class="form-control" placeholder="Comentario">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                    <button id="btnPago" class="btn btn-primary">Pagar</button>
                </div>
        </div>
    </div>
</div>
<div class="row">
	<div class="col-md-12 col-lg-12">
		<div class="box box-primary">
			<div class="box-header" style="padding-bottom:0;padding-top:0">
				<h3 style="" class="" id="nombrePaciente"><?=trim($itemPaciente["nombre"]." ".$itemPaciente["appat"]." ".$itemPaciente["apmat"])?></h3>
    		</div>
    		<div class="box-body">
    			<table id="listCuenta" style="margin:0" class="table table-sm table-bordered table-striped dt-responsive table-hover table-active">
        			<thead class="thead-dark">
        				<tr>
        					<th>Folio Nota</th>
        					<th>Fecha Alta</th>
        					<th>Monto</th>
        					<th>Saldo</th>
        					<th>Acciones</th>
        				</tr>				
        			</thead>
        			<tbody>
        			</tbody>
        		</table>
    		</div>
		</div>
	</div>
</div>
<?php
$this->load->view("html/page/v2/prefooter");?>
<script src="<?=base_url()?>"></script>
<script type="text/javascript">
var listCuenta=null;
$(document).ready(function(){
	$.ajax({url:path+"pacientes/adeudoCuenta/getListAdeudoPaciente",
        data:{"clave":clavePaciente},
        method:"POST",
        dataType:"JSON",
        success:function(res){
            //alert(res.message);
            //console.log(res);
            listCuenta=$("#listCuenta").DataTable({
				"paging":false,
				"searching":false,
				"destroy":true,
				"data":res.list,
				"columns":[
					{"data":function(data){
						return data.serie+"-"+data.folio;
					}},
					{"data":"fechaAlta"},
					{"data":"monto",className:"text-right"},
					{"data":"saldo",className:"text-right"},
					{data:function(data,type,set,meta){
						return "<button class='btn btn-warning btn-sm'><i class='fa fa-pencil'></i></button> "+
						"<button onclick="+"eventoPrevioPago('"+data.cIdCuenta+"','"+data.cIdPaciente+"')"+" title='Realizar pago' class='btn bg-olive btn-sm'><i class='fa fa-dollar'></i></button> "+
						"<button onclick="+"verHistorialNota('"+data.cIdCuenta+"','"+data.serie+"-"+data.folio+"')"+" title='Historial de cuenta' class='btn btn-success btn-sm'><i class='fa fa-history'></i></button>";
					}}
				]
			});
        },error:function(res){
          console.log(res.responseText);
      	}
    });
	/*$("#btnPago").click(function(){
		//console.log(document.querySelector("#btnPago"));
	});*/
});	
function eventoPrevioPago(id,idPaciente)
{
	$("#modPago").modal();
	$("#btnPago").attr("onclick","pagarNotas('"+id+"','"+idPaciente+"')");
}
function pagarNotas(id,idPaciente)
{
	var importe = $("#totalNota").val();
	if(!isNaN(importe)){
		$.ajax({url:path+"pacientes/adeudoCuenta/pagarNotas",
	        data:{"clave":id,"idPaciente":idPaciente,"comentario":$("#comentarioPago").val(),"importe":importe},
	        method:"POST",
	        dataType:"JSON",
	        success:function(res){
	            //alert(res.message);
	            console.log(res);
	            //agregar sweet alert
	            $("#modPago").modal("hide");
	            location.reload();
	        },error:function(res){
				$("#mainContent").css("background-color","red");
	          console.log(res.responseText);
	      	}
	    });
	}else{
		alert("Importe no válido");
	}
}
function verHistorialNota(idCuenta,folio)
{
	$.ajax({url:path+"pacientes/adeudoCuenta/verHistorialNota",
        data:{"idCuenta":idCuenta,"folio":folio},
        method:"POST",
        dataType:"html",
        success:function(res){
            //alert(res.message);
            $("#modAjax").html(res);
            $("#modAjax").modal();
        },error:function(res){
          console.log("error "+res.responseText);
      	}
    });
}
</script>
<?php
$this->load->view("html/page/v2/footer");